# socat-docker

A simple Docker image based on `docker.io/alpine`, which otherwise only contains socat.

It can be used for example to proxy TCP connections to a Unix socket and vice versa, which is useful for bridging between namespaced and host networking.

This was developed specificially to access node_exporter running as `--network=host` from a Prometheus running in a regular Docker network.

UID:GID in the image is random, but consistent across different socat-docker containers to ensure effortless sharing of sockets via bind mounts.
